> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task info list

> batch query task information (up to 100 items per query)



## OpenAPI

````yaml post /open/api/task/info/list
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/task/info/list:
    post:
      tags: []
      summary: Get task info list
      description: batch query task information (up to 100 items per query)
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskStatusListReqVO'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RListTaskInfoResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TaskStatusListReqVO:
      type: object
      properties:
        phoneId:
          type: integer
          description: Phone ID,obtain through `Get phone list` api
          format: int64
        taskIds:
          type: array
          items:
            type: integer
          description: List of task IDs
          maxItems: 100
      required:
        - phoneId
        - taskIds
    RListTaskInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Request link ID
        code:
          type: integer
          description: code
        msg:
          type: string
          description: Request return message
        data:
          type: array
          items:
            $ref: '#/components/schemas/TaskInfoResVO'
            description: TaskInfoResVO
          description: Request return data
        status:
          type: string
          description: >-
            Status, representing whether this is an instant completion or
            waiting state, finish or pending
          default: finish
      required:
        - traceId
        - code
        - msg
        - status
    TaskInfoResVO:
      type: object
      properties:
        id:
          type: integer
          description: Task ID
          format: int64
        phoneId:
          type: integer
          description: phone ID
          format: int64
        teamId:
          type: integer
          description: Team ID
          format: int64
        userId:
          type: integer
          description: owner user ID
          format: int64
        opType:
          type: string
          description: Task type
          enum:
            - installAppByUrl
            - operatorApp
            - phoneRestart
            - phoneReset
            - bindPhone
            - installApp
            - uploadFile
            - powerOn
            - phoneRenew
            - powerOff
            - release
            - downFile
            - removePhone
            - rpaTask
        apkPkg:
          type: string
          description: Application package name
        apkVersionCode:
          type: integer
          description: Application version code
        downloadUrl:
          type: string
          description: Download URL
        status:
          type: integer
          description: Task status (refer to TaskStatusEnum)
          enum:
            - 0
            - 1
            - 2
        startTime:
          type: string
          description: Task start time
        endTime:
          type: string
          description: Task end time
        remark:
          type: string
          description: Remarks

````